diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.js
index c41cbd5d2..42d182c48 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/catalog.js
@@ -42,25 +42,6 @@ define('pgadmin.node.catalog', [
         this.initialized = true;
 
       },
-      model: pgBrowser.Node.Model.extend({
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'namespaceowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', readonly: true,
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string', mode: ['properties'],
-          type: 'text',
-        }]
-      }),
       getSchema: function(treeNodeInfo) {
         return new CatalogSchema(
           {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index ee384f629..4822c204d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -361,36 +361,6 @@ define('pgadmin.node.schema', [
       can_create_schema: function(node) {
         return pgBrowser.Nodes['database'].is_conn_allow.call(this, node);
       },
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-
-            this.set({'namespaceowner': userInfo.name}, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'namespaceowner', label: gettext('Owner'), cell: 'string',
-          type: 'text', control: 'node-list-by-name', node: 'role',
-          select2: { allowClear: false },
-        },{
-          id: 'is_sys_obj', label: gettext('System schema?'),
-          cell: 'switch', type: 'switch', mode: ['properties'],
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline'
-        }]
-      }),
       getSchema: function(treeNodeInfo, itemNodeData) {
         var schemaObj = pgBrowser.Nodes['schema'];
         return new PGSchema(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
index 8181fdc94..104324cb3 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/synonyms/static/js/synonym.js
@@ -100,54 +100,6 @@ define('pgadmin.node.synonym', [
           }
         );
       },
-
-      model: pgAdmin.Browser.Node.Model.extend({
-        isNew: function() {
-          return !this.fetchFromServer;
-        },
-        idAttribute: 'oid',
-        // Default values!
-        initialize: function(attrs, args) {
-          var isNew = (_.size(attrs) === 0);
-
-          if (isNew) {
-            var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user;
-            var schemaInfo = args.node_info.schema;
-            this.set({
-              'owner': userInfo.name,
-              'synobjschema': schemaInfo._label,
-              'schema': schemaInfo._label,
-              'targettype': 'r',
-            }, {silent: true});
-          } else {
-            this.fetchFromServer = true;
-          }
-          pgAdmin.Browser.Node.Model.prototype.initialize.apply(this, arguments);
-
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema', readonly: function(m) { return !m.isNew(); },
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text', mode: ['properties'],
-        },{
-          id: 'owner', label: gettext('Owner'), cell: 'string',
-          type: 'text', mode: ['properties', 'create', 'edit'],
-          readonly: true , control: 'node-list-by-name',
-          node: 'role', visible: false,
-        }],
-
-        // We will disable everything if we are under catalog node
-        inSchema: function() {
-          if(this.node_info &&  'catalog' in this.node_info)
-          {
-            return true;
-          }
-          return false;
-        },
-      }),
       canCreate: function(itemData, item, data) {
         //If check is false then , we will allow create menu
         if (data && data.check == false)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
index 5e12f159a..4df6c7ae7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
@@ -98,36 +98,6 @@ define('pgadmin.node.column', [
       getSchema: function(treeNodeInfo, itemNodeData) {
         return getNodeColumnSchema(treeNodeInfo, itemNodeData, pgBrowser);
       },
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'attnum',
-
-        defaults: {
-          name: undefined,
-          attnum: undefined,
-          description: undefined,
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: 'inSchemaWithColumnCheck',
-          cellHeaderClasses:'width_percent_30',
-          editable: 'editable_check_for_table',
-        },{
-          id: 'attnum', label: gettext('Position'), cell: 'string',
-          type: 'text', disabled: 'notInSchema', mode: ['properties'],
-        },{
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-          disabled: 'notInSchema',
-        }],
-        // We will check if we are under schema node & in 'create' mode
-        notInSchema: function() {
-          if(this.node_info &&  'catalog' in this.node_info)
-          {
-            return true;
-          }
-          return false;
-        },
-      }),
       // Below function will enable right click menu for creating column
       canCreate: function(itemData, item, data) {
         // If check is false then , we will allow create menu
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/static/js/compound_trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/static/js/compound_trigger.js
index 433828373..06b41026a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/static/js/compound_trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/compound_triggers/static/js/compound_trigger.js
@@ -189,16 +189,6 @@ define('pgadmin.node.compound_trigger', [
         );
       },
 
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text',
-        }, {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-        }],
-      }),
       canCreate: function(itemData, item, data) {
         //If check is false then , we will allow create menu
         if (data && data.check == false)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/static/js/constraints.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/static/js/constraints.js
index d135deae5..df5f0e4cb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/static/js/constraints.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/static/js/constraints.js
@@ -43,24 +43,6 @@ define('pgadmin.node.constraints', [
 
         pgBrowser.add_menus([]);
       },
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          name: undefined,
-          oid: undefined,
-          comment: undefined,
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'oid', label: gettext('Oid'), cell: 'string',
-          type: 'text' , mode: ['properties'],
-        },{
-          id: 'comment', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-        }],
-      }),
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
index 3fb8a6c17..cb1749c08 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
@@ -92,29 +92,6 @@ define('pgadmin.node.index', [
       },
       canDrop: SchemaChildTreeNode.isTreeItemOfChildOfSchema,
       canDropCascade: SchemaChildTreeNode.isTreeItemOfChildOfSchema,
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-
-        defaults: {
-          name: undefined,
-          oid: undefined,
-          nspname: undefined,
-          tabname: undefined,
-          spcname: undefined,
-          amname: 'btree',
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', disabled: 'inSchema',
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'int', readonly: true, mode: ['properties'],
-        }, {
-          id: 'description', label: gettext('Comment'), cell: 'string',
-          type: 'multiline', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema',
-        }],
-      }),
       // Below function will enable right click menu for creating column
       canCreate: function(itemData, item, data) {
         // If check is false then , we will allow create menu
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index 7b8b144b9..b360c6b8d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -305,49 +305,6 @@ function(
       getSchema: function(treeNodeInfo, itemNodeData) {
         return getNodePartitionTableSchema(treeNodeInfo, itemNodeData, pgBrowser);
       },
-      model: pgBrowser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          name: undefined,
-          oid: undefined,
-          description: undefined,
-          is_partitioned: false,
-          partition_value: undefined,
-        },
-        // Default values!
-        initialize: function(attrs, args) {
-          if (_.size(attrs) === 0) {
-            var userInfo = pgBrowser.serverInfo[
-                args.node_info.server._id
-              ].user,
-              schemaInfo = args.node_info.schema;
-
-            this.set({
-              'relowner': userInfo.name, 'schema': schemaInfo._label,
-            }, {silent: true});
-          }
-          pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
-
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'oid', label: gettext('OID'), type: 'text', mode: ['properties'],
-        },{
-          id: 'schema', label: gettext('Schema'), type: 'text', node: 'schema',
-          mode: ['create', 'edit', 'properties'],
-        },{
-          id: 'is_partitioned', label:gettext('Partitioned table?'), cell: 'switch',
-          type: 'switch', mode: ['properties', 'create', 'edit'],
-        },{
-          id: 'partition_value', label:gettext('Partition Scheme'),
-          type: 'text', visible: false,
-        },{
-          id: 'description', label: gettext('Comment'), type: 'multiline',
-          mode: ['properties', 'create', 'edit'],
-        }],
-      }),
       canCreate: SchemaChildTreeNode.isTreeItemOfChildOfSchema,
       // Check to whether table has disable trigger(s)
       canCreate_with_trigger_enable: function(itemData, item, data) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
index acc285e99..d1908a6eb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/row_security_policies/static/js/row_security_policy.js
@@ -88,64 +88,6 @@ define('pgadmin.node.row_security_policy', [
           }
         );
       },
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        defaults: {
-          name: undefined,
-        },
-        schema: [{
-          id: 'name', label: gettext('Name'), cell: 'string',
-          type: 'text', readonly: true, cellHeaderClasses: 'width_percent_50',
-          mode: ['properties']
-        },{
-          id: 'oid', label: gettext('OID'), cell: 'string',
-          editable: false, type: 'text', mode: ['properties'],
-        }],
-        validate: function(keys) {
-          var msg;
-          this.errorModel.clear();
-          // If nothing to validate
-          if (keys && keys.length == 0) {
-            return null;
-          }
-
-          if(_.isUndefined(this.get('name'))
-            || String(this.get('name')).replace(/^\s+|\s+$/g, '') == '') {
-            msg = gettext('Name cannot be empty.');
-            this.errorModel.set('name', msg);
-            return msg;
-          }
-          if (!this.isNew() && !_.isNull(this.get('using_orig')) && this.get('using_orig') != '' && String(this.get('using')).replace(/^\s+|\s+$/g, '') == ''){
-            msg = gettext('"USING" can not be empty once the value is set');
-            this.errorModel.set('using', msg);
-            return msg;
-          }
-          if (!this.isNew() && !_.isNull(this.get('withcheck_orig')) && this.get('withcheck_orig') != '' && String(this.get('withcheck')).replace(/^\s+|\s+$/g, '') == ''){
-            msg = gettext('"Withcheck" can not be empty once the value is set');
-            this.errorModel.set('withcheck', msg);
-            return msg;
-          }
-          return null;
-        },
-        disableWithCheck: function(m){
-          var event = m.get('event');
-          if ((event == 'SELECT') || (event == 'DELETE')){
-            m.set('withcheck', '');
-            return true;
-          }
-          return false;
-        },
-
-        disableUsing: function(m){
-          var event = m.get('event');
-
-          if (event == 'INSERT'){
-            return true;
-          }
-          return false;
-        },
-
-      }),
       canCreate: function(itemData, item) {
 
         var treeData = pgBrowser.tree.getTreeNodeHierarchy(item),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
index cde25009b..73ebd4183 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
@@ -207,54 +207,6 @@ define('pgadmin.node.rule', [
           }
         );
       },
-      /**
-        Define model for the rule node and specify the node
-        properties of the model in schema.
-       */
-      model: pgAdmin.Browser.Node.Model.extend({
-        idAttribute: 'oid',
-        schema: [{
-          id: 'name', label: gettext('Name'),
-          type: 'text', disabled: function(m) {
-            // disable name field it it is system rule
-            if (m && m.get('name') == '_RETURN') {
-              return true;
-            }
-            if (m.isNew && m.isNew() || m.node_info && m.node_info.server.version >= 90400) {
-              return false;
-            }
-            return true;
-          },
-        },
-        {
-          id: 'oid', label: gettext('OID'),
-          type: 'text', mode: ['properties'],
-        },
-        {
-          id: 'comment', label: gettext('Comment'), cell: 'string', type: 'multiline',
-        },
-        ],
-        validate: function() {
-
-          // Triggers specific error messages for fields
-          var err = {},
-            errmsg,
-            field_name = this.get('name');
-          if (_.isUndefined(field_name) || _.isNull(field_name) ||
-            String(field_name).replace(/^\s+|\s+$/g, '') === '')
-          {
-            err['name'] = gettext('Please specify name.');
-            errmsg = err['name'];
-            this.errorModel.set('name', errmsg);
-            return errmsg;
-          }
-          else
-          {
-            this.errorModel.unset('name');
-          }
-          return null;
-        },
-      }),
 
       // Show or hide create rule menu option on parent node
       canCreate: function(itemData, item, data) {
